Open SCAP Library: oval_result_test Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_result_test Struct Reference
OVAL » OVALRES

## Public Member Functions
struct oval_result_test * | oval_result_test_new (struct oval_result_system *, char *)
struct oval_result_test * | oval_result_test_clone (struct oval_result_system *new_system, struct oval_result_test *old_test)
void | oval_result_test_free (struct oval_result_test *)
Setters
void | oval_result_test_set_result (struct oval_result_test *, oval_result_t)
void | oval_result_test_set_instance (struct oval_result_test *test, int instance)
void | oval_result_test_add_message (struct oval_result_test *, struct oval_message *)
void | oval_result_test_add_item (struct oval_result_test *, struct oval_result_item *)
void | oval_result_test_add_binding (struct oval_result_test *, struct oval_variable_binding *)
Getters
struct oval_test * | oval_result_test_get_test (struct oval_result_test *)
struct oval_result_system * | oval_result_test_get_system (struct oval_result_test *)
oval_result_t | oval_result_test_eval (struct oval_result_test *)
oval_result_t | oval_result_test_get_result (struct oval_result_test *)
int | oval_result_test_get_instance (struct oval_result_test *)
struct oval_message_iterator * | oval_result_test_get_messages (struct oval_result_test *)
struct oval_result_item_iterator * | oval_result_test_get_items (struct oval_result_test *)
struct oval_variable_binding_iterator * | oval_result_test_get_bindings (struct oval_result_test *)

## Data Fields
struct oval_result_system * | system
struct oval_test * | test
oval_result_t | result
struct oval_collection * | messages
struct oval_collection * | items
struct oval_collection * | bindings
int | instance
bool | bindings_initialized

The documentation for this struct was generated from the following files:

- oval_resultTest.c
- oval_results.h